
@import url("https://fonts.googleapis.com/css?family=Open+Sans|Roboto:400,700&display=swap");

*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: "Open Sans", sans-serif;
  background:#eee;
  color: rgb(3, 3, 59);
  line-height: 1.5;
  font-size: 0.875rem;
}
ul {
  list-style-type: none;
}
a {
  text-decoration: none;
}

h1,
h2,
h3,
h4 {
  letter-spacing: 0.25rem;
  text-transform: capitalize;
  line-height: 1.25;
  margin-bottom: 0.75rem;
  font-family: "Roboto", sans-serif;
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2rem;
}
h3 {
  font-size: 1.25rem;
}
h4 {
  font-size: 0.875rem;
}
p {
  margin-bottom: 1.25rem;
  color: rgb(179, 179, 241);
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 2.5rem;
  }
  h3 {
    font-size: 1.75rem;
  }
  h4 {
    font-size: 1rem;
  }
  body {
    font-size: 1rem;
  }
  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}

.btn {
  text-transform: uppercase;
  background: transparent;
  color: #111;
  padding: 0.375rem 0.75rem;
  letter-spacing: 0.25rem;
  display: inline-block;
  transition:  all 0.3s linear;
  font-size: 0.875rem;
  border: 2px solid #111;
  cursor: pointer;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
}
.btn:hover {
  color: #fff;
  background: #111;
}
/* section */
.section {
  padding: 5rem 0;
}

.section-center {
  width: 90vw;
  margin: 0 auto;
  max-width: 35rem;
  margin-top: 8rem;
}
@media screen and (min-width: 992px) {
  .section-center {
    width: 95vw;
  }
}
main {
  min-height: 100vh;
  display: grid;
  place-items: center;
}

.section-center {
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  transition:  all 0.3s linear;
  padding: 2rem;
}
.section-center:hover {
  box-sizing: 0 5px 15px rgba(0, 0, 0, 0.2);
}
.alert {
  margin-bottom: 1rem;
  height: 1.25rem;
  display: grid;
  align-items: center;
  text-align: center;
  font-size: 0.7rem;
  border-radius: 0.25rem;
  letter-spacing: 0.25rem;
  text-transform: capitalize;
}
.alert-danger {
  color: #721c24;
  background: #f8d7da;
}
.alert-success {
  color: #155724;
  background: #d4edda;
}
.grocery-form h3 {
  color: rgb(3, 3, 90);
  margin-bottom: 1.5rem;
  text-align: center;
}
.form-control {
  display: flex;
  justify-content: center;
}
#grocery {
  padding: 0.25rem;
  padding-left: 1rem;
  background: #eee;
  border-top-left-radius: 6px;
  border-bottom-left-radius: 6px;
  border-color: transparent;
  font-size: 1rem;
  flex: 1 0 auto;
  color: rgb(54, 54, 54);
}
#grocery::placeholder {
  font-family: "Open Sans", sans-serif;
  color: rgb(158, 158, 158);
}
.submit-btn {
  background: skyblue;
  border-color: transparent;
  flex: 0 0 5rem;
  display: grid;
  align-items: center;
  padding: 0.25rem;
  text-transform: capitalize;
  letter-spacing: 2px;
  border-top-right-radius: 6px;
  border-bottom-right-radius: 6px;
  cursor: pointer;
  content: rgb(3, 3, 90);
  transition: all 0.3s linear;
  font-size: 0.85rem;
}
.submit-btn:hover {
  background: rgb(3, 3, 90);
  color: #eee;
}

.grocery-container {
  margin-top: 2rem;
  transition: all 0.3s linear;
  visibility: hidden;
}
.show-container {
  visibility: visible;
}
.grocery-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 0.5rem;
  transition: all 0.3s linear;
  padding: 0.25rem 1rem;
  border-radius: 6px;
  text-transform: capitalize;
}
.grocery-item:hover {
  color: rgb(233, 229, 229);
  background: #eee;
}
.grocery-item:hover .title {
  color: rgb(136, 128, 155);
}
.title {
  margin-bottom: 0;
  color: rgb(3, 3, 90);
  letter-spacing: 2px;
  transition: all 0.3s linear;
}
.edit-btn,
.delete-btn {
  background: transparent;
  border-color: transparent;
  cursor: pointer;
  font-size: 0.7rem;
  margin: 0 0.15rem;
  transition: all 0.3s linear;
}
.edit-btn {
  color: rgb(126, 180, 45);
}
.edit-btn:hover {
  color:green;
}
.delete-btn {
  color: orange;
}
.delete-btn:hover {
  color: red;
}
.clear-btn {
  text-transform: capitalize;
  width: 10rem;
  height: 1.5rem;
  display: grid;
  align-items: center;
  background: transparent;
  border-color: transparent;
  color: orange;
  margin: 0 auto;
  font-size: 0.85rem;
  letter-spacing: 0.25rem;
  cursor: pointer;
  transition: all 0.3s linear;
  margin-top: 1.25rem;
}
.clear-btn:hover {
  color: red;
}